<jsp:root xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page" version="2.0"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:my="urn:jsptagdir:/WEB-INF/tags">

	<jsp:directive.page language="java"
		contentType="text/html; charset=utf-8" pageEncoding="UTF-8"
		isELIgnored="false" 
		/>
	<jsp:output doctype-root-element="html"
		doctype-public="-//W3C//DTD XHTML 1.1//EN"
		doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" />

	<my:adminpage>

	<h1>${sessionScope["user.settings"]}</h1>

	<c:if test="${! empty validation }">
	  <span class="warning">${validation}</span>
	</c:if>

	<table>
		<td>
		<form action="userEdit" method="post">
		<table class="form"> 
			<tr>
				<td class="label">${sessionScope["user.email"]}</td>
				<!--  <td class="label">Email</td>-->
			  <td>
			    <input name="email" type="text" size="50" value="${userInput.email}" />
			  </td>
			</tr>
		
			<tr>
				<td class="label">${sessionScope["user.userName"]}</td>
				<!--  <td class="label">Username</td>-->
			  <td>
			    <input name="name" type="text" size="50" value="${userInput.name}" /> 
			  </td>
			</tr>
	
			<tr>
			<td class="label">${sessionScope["user.link"]}</td>
			<!--  <td class="label">Link</td>-->
			  <td>
			    <input name="link" type="text" size="50"  value="${userInput.link}" />
			  </td>
			</tr>
	
			<tr><td class="label"/><td/></tr>
	
			<tr>
			<td class="label">${sessionScope["user.pwd"]}</td>
			<!--  <td class="label">Password</td>-->
			  <td>
			    <input name="password1" type="password" size="50" maxlength="30" />
			  </td>
			</tr>
	
			<tr>
			<td class="label">${sessionScope["user.pwd2"]}</td>
			<!--  <td class="label">Password - Repeat</td>-->
			  <td>
			    <input name="password2" type="password" size="50" maxlength="30" />
			  </td>
			</tr>
			
			<tr><td class="label"/><td/></tr>
			
			<tr>
			  <td class="label">URI</td>
			  <td>
			  	<c:choose>
				  	<c:when test="${! empty userInput.uri}">
				      ${userInput.uri}
				      <input name="uri" type="hidden" value="${userInput.uri}" />
				    </c:when>
				    <c:otherwise>
					    not yet defined
				    </c:otherwise>
			    </c:choose>
			  </td>
			</tr>
	
			<tr>
			<td class="label">${sessionScope["user.key"]}</td>
			<!--  <td class="label">Key</td>-->
			  <td>
			  	<c:choose>
			  		<c:when test="${! empty userInput.key}">
			  			${userInput.key}
			  		</c:when>
			  		<c:otherwise>
				      not yet defined
			  		</c:otherwise>
				</c:choose>
			  </td>
			</tr>
	
			<tr><td class="label"/><td/></tr>
			
			<tr>
			<td class="label">${sessionScope["user.setDefSpace"]}</td>
			  <td>
			  	<c:forEach var="currentSpaceID" items="${userInput.spaceIdentifier}">
			  		<c:choose>
			  			<c:when test="${currentSpaceID eq userInput.defaultSpace }">
				    		<input type='radio' name='defaultSpace' value='${currentSpaceID}' checked='true'>${currentSpaceID }</input> 
				    		<a href="/admin/spaces/spaceEdit?spaceName=${currentSpaceID}">${sessionScope["user.editProps"]} </a> <br/>
				    	</c:when>
				    	<c:otherwise>
				    		<input type='radio' name='defaultSpace' value='${currentSpaceID}'>${currentSpaceID}</input> 
				    		<a href="/admin/spaces/spaceEdit?spaceName=${currentSpaceID}">${sessionScope["user.editProps"]}</a> <br/>
				    	</c:otherwise>
				    </c:choose>
		   	    </c:forEach>
			  </td>
			</tr>
			
			<tr><td class="label"/><td/></tr>
			
			<tr>
			<td class="label">${sessionScope["user.setDefLang"]}</td>
			<!--  <td class="label">Set Default Language</td>-->
			  <td>
			  	<c:forEach var="currentLanguage" items="${languages}">
			  		<c:choose>
			  			<c:when test="${currentLanguage.acronym eq userInput.defaultLanguage }">
							<input type='radio' name='defaultLanguage' value='${currentLanguage.acronym}' checked="true">${currentLanguage.name}</input><br/>	  			
						</c:when>
			  			<c:otherwise>
					    	<input type='radio' name='defaultLanguage' value='${currentLanguage.acronym}'>${currentLanguage.name}</input><br/>
						</c:otherwise>
			  		</c:choose>
			  	</c:forEach>
			  </td>
			</tr>
			
			<tr><td class="label"/><td/></tr>
			
			<tr>
			  <td class="label"/>
			  <td><input type="submit" name="save" value='Submit' /></td>
			<!--  <td><input type="submit" name="save" value=" Submit " /></td>-->
			</tr>
		</table>
		</form>
	</td>
	<td>
	<form action="newSpace" method="post"><input type="submit" name="newSpace" value='${sessionScope["user.createNewSpace"]}' /></form>
	</td>
	</table>
</my:adminpage>
</jsp:root>